From 57b24ae3bdc4c540a7a64c51aae35e35ef956002 Mon Sep 17 00:00:00 2001
From: Emekcan Aras <emekcan.aras@linaro.org>
Date: Wed, 28 Feb 2024 15:02:49 +0000
Subject: [PATCH] remove optee binding from device tree

Signed-off-by: Emekcan Aras <emekcan.aras@linaro.org>
Upstream-Status: Pending
---
 arch/arm/dts/zynqmp.dtsi | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/arch/arm/dts/zynqmp.dtsi b/arch/arm/dts/zynqmp.dtsi
index b50b83b772..9c8ffb7584 100644
--- a/arch/arm/dts/zynqmp.dtsi
+++ b/arch/arm/dts/zynqmp.dtsi
@@ -187,11 +187,6 @@
 	};
 
 	firmware {
-		optee: optee  {
-			compatible = "linaro,optee-tz";
-			method = "smc";
-		};
-
 		zynqmp_firmware: zynqmp-firmware {
 			compatible = "xlnx,zynqmp-firmware";
 			#power-domain-cells = <1>;
-- 
2.34.1

